Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class Job

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.Job

All Implemented Interfaces:
  java.io.Serializable

    public class Job

extends java.lang.Object
implements java.io.Serializable

Job.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`Job()`
`Job(long id, int version, java.lang.String reportUnitURI, java.lang.String username, java.lang.String label, java.lang.String description, JobSimpleTrigger simpleTrigger, JobCalendarTrigger calendarTrigger, JobParameter[] parameters, java.lang.String baseOutputFilename, java.lang.String[] outputFormats, java.lang.String outputLocale, JobRepositoryDestination repositoryDestination, JobMailNotification mailNotification)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getBaseOutputFilename()` Gets the baseOutputFilename value for this Job.
`JobCalendarTrigger` | `getCalendarTrigger()` Gets the calendarTrigger value for this Job.
`java.lang.String` | `getDescription()` Gets the description value for this Job.
`long` | `getId()` Gets the id value for this Job.
`java.lang.String` | `getLabel()` Gets the label value for this Job.
`JobMailNotification` | `getMailNotification()` Gets the mailNotification value for this Job.
`java.lang.String[]` | `getOutputFormats()` Gets the outputFormats value for this Job.
`java.lang.String` | `getOutputLocale()` Gets the outputLocale value for this Job.
`JobParameter[]` | `getParameters()` Gets the parameters value for this Job.
`java.lang.String` | `getReportUnitURI()` Gets the reportUnitURI value for this Job.
`JobRepositoryDestination` | `getRepositoryDestination()` Gets the repositoryDestination value for this Job.
`JobSimpleTrigger` | `getSimpleTrigger()` Gets the simpleTrigger value for this Job.
`java.lang.String` | `getUsername()` Gets the username value for this Job.
`int` | `getVersion()` Gets the version value for this Job.
`int` | `hashCode()`
`void` | `setBaseOutputFilename(java.lang.String baseOutputFilename)` Sets the baseOutputFilename value for this Job.
`void` | `setCalendarTrigger(JobCalendarTrigger calendarTrigger)` Sets the calendarTrigger value for this Job.
`void` | `setDescription(java.lang.String description)` Sets the description value for this Job.
`void` | `setId(long id)` Sets the id value for this Job.
`void` | `setLabel(java.lang.String label)` Sets the label value for this Job.
`void` | `setMailNotification(JobMailNotification mailNotification)` Sets the mailNotification value for this Job.
`void` | `setOutputFormats(java.lang.String[] outputFormats)` Sets the outputFormats value for this Job.
`void` | `setOutputLocale(java.lang.String outputLocale)` Sets the outputLocale value for this Job.
`void` | `setParameters(JobParameter[] parameters)` Sets the parameters value for this Job.
`void` | `setReportUnitURI(java.lang.String reportUnitURI)` Sets the reportUnitURI value for this Job.
`void` | `setRepositoryDestination(JobRepositoryDestination repositoryDestination)` Sets the repositoryDestination value for this Job.
`void` | `setSimpleTrigger(JobSimpleTrigger simpleTrigger)` Sets the simpleTrigger value for this Job.
`void` | `setUsername(java.lang.String username)` Sets the username value for this Job.
`void` | `setVersion(int version)` Sets the version value for this Job.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Job

    public Job()

### Job

    public Job(long id,
               int version,
               java.lang.String reportUnitURI,
               java.lang.String username,
               java.lang.String label,
               java.lang.String description,
               JobSimpleTrigger simpleTrigger,
               JobCalendarTrigger calendarTrigger,
               JobParameter[] parameters,
               java.lang.String baseOutputFilename,
               java.lang.String[] outputFormats,
               java.lang.String outputLocale,
               JobRepositoryDestination repositoryDestination,
               JobMailNotification mailNotification)

Method Detail

### getId

    public long getId()

  Gets the id value for this Job.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this Job.

  Parameters:
    `id` -

### getVersion

    public int getVersion()

  Gets the version value for this Job.

  Returns:
    version

### setVersion

    public void setVersion(int version)

  Sets the version value for this Job.

  Parameters:
    `version` -

### getReportUnitURI

    public java.lang.String getReportUnitURI()

  Gets the reportUnitURI value for this Job.

  Returns:
    reportUnitURI

### setReportUnitURI

    public void setReportUnitURI(java.lang.String reportUnitURI)

  Sets the reportUnitURI value for this Job.

  Parameters:
    `reportUnitURI` -

### getUsername

    public java.lang.String getUsername()

  Gets the username value for this Job.

  Returns:
    username

### setUsername

    public void setUsername(java.lang.String username)

  Sets the username value for this Job.

  Parameters:
    `username` -

### getLabel

    public java.lang.String getLabel()

  Gets the label value for this Job.

  Returns:
    label

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label value for this Job.

  Parameters:
    `label` -

### getDescription

    public java.lang.String getDescription()

  Gets the description value for this Job.

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description value for this Job.

  Parameters:
    `description` -

### getSimpleTrigger

    public JobSimpleTrigger getSimpleTrigger()

  Gets the simpleTrigger value for this Job.

  Returns:
    simpleTrigger

### setSimpleTrigger

    public void setSimpleTrigger(JobSimpleTrigger simpleTrigger)

  Sets the simpleTrigger value for this Job.

  Parameters:
    `simpleTrigger` -

### getCalendarTrigger

    public JobCalendarTrigger getCalendarTrigger()

  Gets the calendarTrigger value for this Job.

  Returns:
    calendarTrigger

### setCalendarTrigger

    public void setCalendarTrigger(JobCalendarTrigger calendarTrigger)

  Sets the calendarTrigger value for this Job.

  Parameters:
    `calendarTrigger` -

### getParameters

    public JobParameter[] getParameters()

  Gets the parameters value for this Job.

  Returns:
    parameters

### setParameters

    public void setParameters(JobParameter[] parameters)

  Sets the parameters value for this Job.

  Parameters:
    `parameters` -

### getBaseOutputFilename

    public java.lang.String getBaseOutputFilename()

  Gets the baseOutputFilename value for this Job.

  Returns:
    baseOutputFilename

### setBaseOutputFilename

    public void setBaseOutputFilename(java.lang.String baseOutputFilename)

  Sets the baseOutputFilename value for this Job.

  Parameters:
    `baseOutputFilename` -

### getOutputFormats

    public java.lang.String[] getOutputFormats()

  Gets the outputFormats value for this Job.

  Returns:
    outputFormats

### setOutputFormats

    public void setOutputFormats(java.lang.String[] outputFormats)

  Sets the outputFormats value for this Job.

  Parameters:
    `outputFormats` -

### getOutputLocale

    public java.lang.String getOutputLocale()

  Gets the outputLocale value for this Job.

  Returns:
    outputLocale

### setOutputLocale

    public void setOutputLocale(java.lang.String outputLocale)

  Sets the outputLocale value for this Job.

  Parameters:
    `outputLocale` -

### getRepositoryDestination

    public JobRepositoryDestination getRepositoryDestination()

  Gets the repositoryDestination value for this Job.

  Returns:
    repositoryDestination

### setRepositoryDestination

    public void setRepositoryDestination(JobRepositoryDestination repositoryDestination)

  Sets the repositoryDestination value for this Job.

  Parameters:
    `repositoryDestination` -

### getMailNotification

    public JobMailNotification getMailNotification()

  Gets the mailNotification value for this Job.

  Returns:
    mailNotification

### setMailNotification

    public void setMailNotification(JobMailNotification mailNotification)

  Sets the mailNotification value for this Job.

  Parameters:
    `mailNotification` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.